[Unit]
Description=BMS Service
After=network.target mariadb.service redis.service
#Requires=network.target mariadb.service redis.service

[Service]
Type=simple
Environment="PANEL_LOG_LEVEL=error"
ExecStart=/usr/bin/java -Xms1g -Xmx1g -jar /bms/bms.jar --spring.profiles.active=prod
ExecStop=/usr/bin/kill -HUP $MAINPID
StartLimitInterval=0
Restart=always
RestartSec=30
#SuccessExitStatus=143 129
TimeoutStopSec=15

[Install]
WantedBy=multi-user.target